POST api/badgemappingapi/add?siteId={siteId}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| siteId | globally unique identifier |
None. |
Body Parameters
BadgeMappingViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
None. |
|
| site_id | globally unique identifier |
None. |
|
| source_code | string |
String length: inclusive between 0 and 30 |
|
| target_code | string |
String length: inclusive between 0 and 30 |
|
| description | string |
String length: inclusive between 0 and 80 |
|
| application_date | date |
None. |
Request Formats
application/json, text/json
Sample:
{
"id": "34b4ba3c-1c10-4b9e-ab61-70ac928f2f87",
"site_id": "93878ce6-cab5-438c-afb8-30b99e8c3984",
"source_code": "sample string 3",
"target_code": "sample string 4",
"description": "sample string 5",
"application_date": "2026-03-11T11:59:58.6072949+00:00"
}
application/xml, text/xml
Sample:
<badgemapping xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel"> <application_date>2026-03-11T11:59:58.6072949+00:00</application_date> <description>sample string 5</description> <id>34b4ba3c-1c10-4b9e-ab61-70ac928f2f87</id> <site_id>93878ce6-cab5-438c-afb8-30b99e8c3984</site_id> <source_code>sample string 3</source_code> <target_code>sample string 4</target_code> </badgemapping>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
globally unique identifierResponse Formats
application/json, text/json
Sample:
"66e8229a-721b-4b4e-bb7f-90279f883358"
application/xml, text/xml
Sample:
<guid xmlns="http://schemas.microsoft.com/2003/10/Serialization/">66e8229a-721b-4b4e-bb7f-90279f883358</guid>